=== debian/changelog ===
mce (1.8.127.3+0m5+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 10 Oct 2015 11:47:23 +0300

mce (1.8.127.3+0m5) unstable; urgency=low

  * compile with correct splashscreen-dbus-names.h and modechange-dbus-names.h

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Thu, 10 Oct 2014 12:55:39 +0300

mce (1.8.127.2+0m5) unstable; urgency=low

  * fix condition in call_state_trigger
  * remove an extra space in log message
  * fix devlock_notify_remove parameters
  * tklock: fix keypress_trigger logic

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Thu, 09 Oct 2014 21:50:21 +0300

mce (1.8.127.1) unstable; urgency=low

  * Fix function get_product_id() - fix parsing /proc/cpuinfo
  * Add PatternBoost to mce.ini (used by BME Replacement and USB Mode)
  * Fix mce package dependences

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 18 May 2014 20:03:19 +0200

mce (1.8.127+0m5) unstable; urgency=low

  * 3.x kernel compatibility fixes
  * fix for problem reported at http://talk.maemo.org/showpost.php?p=1387420&postcount=34

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 24 Jan 2014 18:04:33 +0200

mce (1.8.126+0m5) unstable; urgency=low

  * Initial release of Fremantle MCE reverse engineering work
  * Some code taken from various tree versions under https://gitorious.org/meego-middleware/mce/

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Thu, 26 Sep 2013 10:52:00 +0800
