=== debian/control ===
Source: mce
Section: misc
Priority: optional
Maintainer: David Weinehall <david.weinehall@nokia.com>
Uploaders: Philippe De Swert <philippe.de-swert@nokia.com>, Pekka Lundström <pekka.lundstrom@nokia.com>
Build-Depends: debhelper (>= 4.1.0), mce-dev (>= 1.8.19), pkg-config, libglib2.0-dev (>= 2.18.0), libdbus-1-dev (>= 1.0.2), libdbus-glib-1-dev, libdsme0.2.0-dev (>=0.58), libgconf2-dev, osso-systemui-dbus-dev (>= 0.1.3), osso-systemui-powerkeymenu-dev, osso-systemui-tklock-dev, osso-systemui-devlock-dev, osso-systemui-splashscreen-dev, osso-systemui-modechange-dev, libconic0-dev (>= 0.15-0.1), dpkg-dev (>= 1.13.19), hald-addon-bme-dev, upstart-dev (>= 0.3.8-67), libcal-dev (>= 0.2.4), libdevlock-dev
Standards-Version: 3.7.3

Package: mce
Architecture: any
Depends: dbus, ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
Recommends: dsme (>= 0.30.11)
Conflicts: osso-systemui-tklock (<< 0.1.8.12), osso-applet-display (<< 1.4.2), libcodelockui1 (<< 1:1.5.5), hildon-desktop (<< 1:2.2.48-1), osso-systemui-alarm (<< 0.2.1.24), osso-systemui-devlock (<< 0.2.0.3)
Description: the Mode Control Entity for Nokia Internet Tablets
 This package contains the Mode Control Entity which provides
 mode management features.  This is a daemon that is the backend
 for many features on Nokia's Internet Tablets.

Package: mce-dbg
Section: devel
Priority: extra
Architecture: any
Depends: mce (= ${binary:Version})
Description: the Mode Control Entity for Nokia Internet Tablets
 This package contains the Mode Control Entity with debug symbols
 which provides mode management features.  This is a daemon that
 is the backend for many features on Nokia's Internet Tablets.
